aboutsummaryrefslogtreecommitdiffstats
path: root/testing/ofono/ofono.initd
diff options
context:
space:
mode:
authorFrancesco Colista <fcolista@alpinelinux.org>2015-10-09 06:49:23 +0000
committerFrancesco Colista <fcolista@alpinelinux.org>2015-10-09 06:49:23 +0000
commit0b0f30dbfb3a37ff07e296da09b5d12ad2e08824 (patch)
tree6d8aa1c579a094b7536e6b3fb8ea926b70307440 /testing/ofono/ofono.initd
parenta4571868b71a0066db30a30c157acdc1bc33e218 (diff)
downloadaports-0b0f30dbfb3a37ff07e296da09b5d12ad2e08824.tar.bz2
aports-0b0f30dbfb3a37ff07e296da09b5d12ad2e08824.tar.xz
testing/ofono: added initd, changed path to /usr/sbin
Diffstat (limited to 'testing/ofono/ofono.initd')
-rw-r--r--testing/ofono/ofono.initd20
1 files changed, 20 insertions, 0 deletions
diff --git a/testing/ofono/ofono.initd b/testing/ofono/ofono.initd
new file mode 100644
index 0000000000..517b3a2b11
--- /dev/null
+++ b/testing/ofono/ofono.initd
@@ -0,0 +1,20 @@
+#!/sbin/runscript
+# Copyright 1999-2009 Gentoo Foundation
+# Distributed under the terms of the GNU General Purpose License v2
+# $Header: ./gentoo-x86-cvsroot/net-misc/ofono/files/ofono.initd,v 1.1 2009/08/24 13:20:40 dagger Exp $
+
+depend() {
+ need dbus
+}
+
+start() {
+ ebegin "Starting oFono"
+ start-stop-daemon --start --quiet --exec /usr/sbin/ofonod
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping oFono"
+ start-stop-daemon --stop --quiet --exec /usr/sbin/ofonod
+ eend $?
+}